Arch Axis/uk: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
(8 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{docnav|[[Arch_SectionPlane|Section Plane]]|[[Arch_AxisSystem|Axes system]]|[[Arch_Module|Arch]]|IconL=Arch_SectionPlane.svg |IconC=Workbench_Arch.svg |IconR=Arch_AxisSystem.png}}
{{docnav/uk|[[Arch_CompAxis/uk|Arch CompAxis]]|[[Arch_AxisSystem/uk|Axes system]]|[[Arch_Module/uk|Arch]]|IconL=Arch_CompAxis.png |IconC=Workbench_Arch.svg |IconR=Arch_AxisSystem.png}}
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{GuiCommand/uk
{{GuiCommand/uk|Name=Arch Axis|Name/uk=Arch Axis|Workbenches=[[Arch Module/uk|Arch]]|MenuLocation=Arch -> Axis|Shortcut=A X}}
|Name=Arch Axis
|Name/uk=Arch Axis
|Workbenches=[[Arch Module/uk|Arch]]
|MenuLocation=Arch -> Axis
|Shortcut=A X
|SeeAlso=[[Arch AxisSystem|Axis System]], [[Arch Grid]]
}}
</div>
</div>


==Description==
==Description==


The Axis tool allows you to places a series of axes in the current document. The distance and the angle between axes is customizable, as well as the numbering style. The axes serve mainly as references to snap objects onto, but can also be used together with [[Arch AxisSystem|Axes Systems]], and can also be referenced by other Arch objects to create parametric arrays, for example of beams or columns. [[Arch Grid|Grids]] can also be used in places of axes.
The {{Button|[[Image:Arch Axis.svg|16px]] [[Arch Axis|Arch Axis]]}} tool allows you to places a series of axes in the current document. The distance and the angle between axes is customizable, as well as the numbering style. The axes serve mainly as references to snap objects onto, but can also be used together with {{Button|[[Image:Arch Axis_System.svg|16px]] [[Arch AxisSystem|Arch AxesSystems]]}} , and can also be referenced by other Arch objects to create parametric arrays, for example of beams or columns. {{Button|[[Image:Arch Grid.svg|16px]] [[Arch Grid|Arch Grids]]}} can also be used in places of axes.


[[Image:Arch Axis example.jpg|600px]]
[[Image:Arch Axis example.jpg|600px]]
{{Caption|Two axes objects positioned perpendicularly to each other to create a grid}}
{{Caption|Two axes objects positioned perpendicularly to each other to create a grid}}


==How to use==
==Usage==


# Press the {{Button|[[Image:Arch Axis.svg|16px]] [[Arch Axis]]}} button, or press {{KEY|A}} then {{KEY|X}} keys.
# Press the {{Button|[[Image:Arch Axis.svg|16px]] [[Arch Axis|Arch Axis]]}} button, or press {{KEY|A}} then {{KEY|X}} keys.
# [[Draft Move|Move]]/[[Draft Rotate|rotate]] the axes system to the desired position.
# [[Draft Move|Move]]/[[Draft Rotate|rotate]] the axes system to the desired position.
# Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.
# Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.
Line 37: Line 46:


==Scripting==
==Scripting==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


The Axis tool can be used in [[macros]] and from the [[Python]] console by using the following function:
The Axis tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
Axes = makeAxis(num=5, size=1000, name="Axes")
Axes = makeAxis(num=5, size=1000, name="Axes")
Line 47: Line 56:


Example:
Example:

{{Code|code=
{{Code|code=
import Draft, Arch
import Draft, Arch
Line 69: Line 79:
FreeCAD.ActiveDocument.recompute()
FreeCAD.ActiveDocument.recompute()
}}
}}

<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
{{docnav/uk|[[Arch_CompAxis/uk|Arch CompAxis]]|[[Arch_AxisSystem/uk|Axes system]]|[[Arch_Module/uk|Arch]]|IconL=Arch_CompAxis.png |IconC=Workbench_Arch.svg |IconR=Arch_AxisSystem.png}}
[[Category:Arch/uk]]
</div>
</div>


{{Arch Tools navi}}
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}

Revision as of 10:10, 30 April 2020

Arch Axis

Меню прокату
Arch -> Axis
Верстаки
Arch
Ярлик за умовчанням
A X
Введено у версії
-
Дивись також
Axis System, Arch Grid

Description

The Arch Axis tool allows you to places a series of axes in the current document. The distance and the angle between axes is customizable, as well as the numbering style. The axes serve mainly as references to snap objects onto, but can also be used together with Arch AxesSystems , and can also be referenced by other Arch objects to create parametric arrays, for example of beams or columns. Arch Grids can also be used in places of axes.

Two axes objects positioned perpendicularly to each other to create a grid

Usage

  1. Press the Arch Axis button, or press A then X keys.
  2. Move/rotate the axes system to the desired position.
  3. Enter edit mode by double-clicking the axes system in the tree view to adjust its settings like number of axes, distances and angles between axes.

Options

  • Each axis in the series has its own distance and angle in relation to the previous axis. This allows to do very complex systems such as non-orthogonal systems, polar systems or any kind of non-uniform system
  • Double-clicking the axis in the tree view allows to edit the distances, angles and labels of each axis
  • Axes length, size of the bubbles and numbering styles are customizable directly via the axes system's properties
  • Each axis can also display a label, also editable via the task panel dialog

Properties

  • ДаніLength: The length of the axes
  • ВиглядBubble Size: The size of the axis bubbles
  • ВиглядNumeration style: How the axes are numbered: 1,2,3, A,B,C, etc...
  • ВиглядBubble Position: Where the bubble is placed on the axis: At start point, endpoint, both or none.
  • ВиглядFont Name: A font to draw the bubble number and/or labels
  • ВиглядFont Size: The size of the label text only (bubble text is controlled by the bubble size)
  • ВиглядShow Labels: Turns the display of the label texts on/off

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The Axis tool can be used in macros and from the Python console by using the following function:

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Creates an Axes object from the given number (num) of axes, and size, the interval between each axis.

Example:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()